OpenShot Audio Library | OpenShotAudio: juce::dsp::SIMDNativeOps< int16_t > Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
juce::dsp::SIMDNativeOps< int16_t > Struct Reference

`#include <juce_avx_SIMDNativeOps.h>`

## Public Types
using | vSIMDType = __m256i
using | vSIMDType = int16x8_t
using | fb = SIMDFallbackOps< int16_t, vSIMDType >
using | vSIMDType = __m128i

## Public Member Functions
| DECLARE_AVX_SIMD_CONST (int16_t, kAllBitsSet)
| DECLARE_NEON_SIMD_CONST (int16_t, kAllBitsSet)
| DECLARE_SSE_SIMD_CONST (int16_t, kAllBitsSet)

## Static Public Member Functions
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | expand (int16_t s) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | load (const int16_t *p) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m256i value, int16_t *dest) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | add (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | sub (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | mul (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_and (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_or (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_xor (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_andnot (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_not (__m256i a) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | min (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | max (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | equal (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | greaterThan (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | multiplyAdd (__m256i a, __m256i b, __m256i c) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | notEqual (__m256i a, __m256i b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m256i a, __m256i b) noexcept
static forcedinline int16_t JUCE_VECTOR_CALLTYPE | get (__m256i v, size_t i) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | set (__m256i v, size_t i, int16_t s) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | truncate (__m256i a) noexcept
static forcedinline int16_t JUCE_VECTOR_CALLTYPE | sum (__m256i a) noexcept
static forcedinline vSIMDType | expand (int16_t s) noexcept
static forcedinline vSIMDType | load (const int16_t *a) noexcept
static forcedinline void | store (vSIMDType value, int16_t *a) noexcept
static forcedinline int16_t | get (vSIMDType v, size_t i) noexcept
static forcedinline vSIMDType | set (vSIMDType v, size_t i, int16_t s) noexcept
static forcedinline vSIMDType | add (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | sub (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | mul (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_and (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_or (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_xor (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_notand (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_not (vSIMDType a) noexcept
static forcedinline vSIMDType | min (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | max (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | equal (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | notEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThan (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThanOrEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline bool | allEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | multiplyAdd (vSIMDType a, vSIMDType b, vSIMDType c) noexcept
static forcedinline int16_t | sum (vSIMDType a) noexcept
static forcedinline vSIMDType | truncate (vSIMDType a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | vconst (const int16_t *a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | load (const int16_t *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m128i v, int16_t *p) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | expand (int16_t s) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | add (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | sub (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | mul (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_and (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_or (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_xor (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_andnot (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_not (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | min (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | max (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | equal (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | greaterThan (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | multiplyAdd (__m128i a, __m128i b, __m128i c) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | notEqual (__m128i a, __m128i b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m128i a, __m128i b) noexcept
static forcedinline int16_t JUCE_VECTOR_CALLTYPE | get (__m128i v, size_t i) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | set (__m128i v, size_t i, int16_t s) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | truncate (__m128i a) noexcept
static forcedinline int16_t JUCE_VECTOR_CALLTYPE | sum (__m128i a) noexcept

## Detailed Description

Signed 16-bit integer AVX intrinsics.

Signed 16-bit integer NEON intrinsics.

Signed 16-bit integer SSE intrinsics.

Definition at line 360 of file juce_avx_SIMDNativeOps.h.

## Member Typedef Documentation

## ◆ fb

using juce::dsp::SIMDNativeOps< int16_t >::fb = SIMDFallbackOps<int16_t, vSIMDType>

Definition at line 243 of file juce_neon_SIMDNativeOps.h.

## ◆ vSIMDType [1/3]

using juce::dsp::SIMDNativeOps< int16_t >::vSIMDType = __m256i

Definition at line 363 of file juce_avx_SIMDNativeOps.h.

## ◆ vSIMDType [2/3]

using juce::dsp::SIMDNativeOps< int16_t >::vSIMDType = int16x8_t

Definition at line 242 of file juce_neon_SIMDNativeOps.h.

## ◆ vSIMDType [3/3]

using juce::dsp::SIMDNativeOps< int16_t >::vSIMDType = __m128i

Definition at line 342 of file juce_sse_SIMDNativeOps.h.

## Member Function Documentation

## ◆ add() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::add | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 352 of file juce_sse_SIMDNativeOps.h.

## ◆ add() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::add | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 372 of file juce_avx_SIMDNativeOps.h.

## ◆ add() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::add | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 254 of file juce_neon_SIMDNativeOps.h.

## ◆ allEqual() [1/3]

static forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::allEqual | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 367 of file juce_sse_SIMDNativeOps.h.

## ◆ allEqual() [2/3]

static forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::allEqual | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 387 of file juce_avx_SIMDNativeOps.h.

## ◆ allEqual() [3/3]

static forcedinline bool juce::dsp::SIMDNativeOps< int16_t >::allEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 268 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_and() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_and | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 355 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_and() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_and | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 375 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_and() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::bit_and | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 257 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_andnot() [1/2]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_andnot | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 358 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_andnot() [2/2]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_andnot | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 378 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_not() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_not | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 359 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_not() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_not | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 379 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_not() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::bit_not | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 261 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_notand()

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::bit_notand | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 260 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_or() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_or | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 356 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_or() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_or | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 376 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_or() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::bit_or | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 258 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_xor() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_xor | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 357 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_xor() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::bit_xor | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 377 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_xor() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::bit_xor | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 259 of file juce_neon_SIMDNativeOps.h.

## ◆ equal() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::equal | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 362 of file juce_sse_SIMDNativeOps.h.

## ◆ equal() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::equal | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 382 of file juce_avx_SIMDNativeOps.h.

## ◆ equal() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::equal | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 264 of file juce_neon_SIMDNativeOps.h.

## ◆ expand() [1/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::expand | ( | int16_t | s | ) |
| inlinestaticnoexcept

Definition at line 369 of file juce_avx_SIMDNativeOps.h.

## ◆ expand() [2/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::expand | ( | int16_t | s | ) |
| inlinestaticnoexcept

Definition at line 249 of file juce_neon_SIMDNativeOps.h.

## ◆ expand() [3/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::expand | ( | int16_t | s | ) |
| inlinestaticnoexcept

Definition at line 351 of file juce_sse_SIMDNativeOps.h.

## ◆ get() [1/3]

static forcedinline int16_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::get | ( | __m128i | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 368 of file juce_sse_SIMDNativeOps.h.

## ◆ get() [2/3]

static forcedinline int16_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::get | ( | __m256i | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 388 of file juce_avx_SIMDNativeOps.h.

## ◆ get() [3/3]

static forcedinline int16_t juce::dsp::SIMDNativeOps< int16_t >::get | ( | vSIMDType | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 252 of file juce_neon_SIMDNativeOps.h.

## ◆ greaterThan() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::greaterThan | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 363 of file juce_sse_SIMDNativeOps.h.

## ◆ greaterThan() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::greaterThan | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 383 of file juce_avx_SIMDNativeOps.h.

## ◆ greaterThan() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::greaterThan | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 266 of file juce_neon_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::greaterThanOrEqual | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 364 of file juce_sse_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::greaterThanOrEqual | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 384 of file juce_avx_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::greaterThanOrEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 267 of file juce_neon_SIMDNativeOps.h.

## ◆ load() [1/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::load | ( | const int16_t * | a | ) |
| inlinestaticnoexcept

Definition at line 250 of file juce_neon_SIMDNativeOps.h.

## ◆ load() [2/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::load | ( | const int16_t * | a | ) |
| inlinestaticnoexcept

Definition at line 349 of file juce_sse_SIMDNativeOps.h.

## ◆ load() [3/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::load | ( | const int16_t * | p | ) |
| inlinestaticnoexcept

Definition at line 370 of file juce_avx_SIMDNativeOps.h.

## ◆ max() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::max | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 361 of file juce_sse_SIMDNativeOps.h.

## ◆ max() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::max | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 381 of file juce_avx_SIMDNativeOps.h.

## ◆ max() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::max | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 263 of file juce_neon_SIMDNativeOps.h.

## ◆ min() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::min | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 360 of file juce_sse_SIMDNativeOps.h.

## ◆ min() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::min | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 380 of file juce_avx_SIMDNativeOps.h.

## ◆ min() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::min | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 262 of file juce_neon_SIMDNativeOps.h.

## ◆ mul() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::mul | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 354 of file juce_sse_SIMDNativeOps.h.

## ◆ mul() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::mul | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 374 of file juce_avx_SIMDNativeOps.h.

## ◆ mul() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::mul | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 256 of file juce_neon_SIMDNativeOps.h.

## ◆ multiplyAdd() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::multiplyAdd | ( | __m128i | a,
|  | __m128i | b,
|  | __m128i | c
| ) |  |
| inlinestaticnoexcept

Definition at line 365 of file juce_sse_SIMDNativeOps.h.

## ◆ multiplyAdd() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::multiplyAdd | ( | __m256i | a,
|  | __m256i | b,
|  | __m256i | c
| ) |  |
| inlinestaticnoexcept

Definition at line 385 of file juce_avx_SIMDNativeOps.h.

## ◆ multiplyAdd() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::multiplyAdd | ( | vSIMDType | a,
|  | vSIMDType | b,
|  | vSIMDType | c
| ) |  |
| inlinestaticnoexcept

Definition at line 269 of file juce_neon_SIMDNativeOps.h.

## ◆ notEqual() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::notEqual | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 366 of file juce_sse_SIMDNativeOps.h.

## ◆ notEqual() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::notEqual | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 386 of file juce_avx_SIMDNativeOps.h.

## ◆ notEqual() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::notEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 265 of file juce_neon_SIMDNativeOps.h.

## ◆ set() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::set | ( | __m128i | v,
|  | size_t | i,
|  | int16_t | s
| ) |  |
| inlinestaticnoexcept

Definition at line 369 of file juce_sse_SIMDNativeOps.h.

## ◆ set() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::set | ( | __m256i | v,
|  | size_t | i,
|  | int16_t | s
| ) |  |
| inlinestaticnoexcept

Definition at line 389 of file juce_avx_SIMDNativeOps.h.

## ◆ set() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::set | ( | vSIMDType | v,
|  | size_t | i,
|  | int16_t | s
| ) |  |
| inlinestaticnoexcept

Definition at line 253 of file juce_neon_SIMDNativeOps.h.

## ◆ store() [1/3]

static forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::store | ( | __m128i | v,
|  | int16_t * | p
| ) |  |
| inlinestaticnoexcept

Definition at line 350 of file juce_sse_SIMDNativeOps.h.

## ◆ store() [2/3]

static forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::store | ( | __m256i | value,
|  | int16_t * | dest
| ) |  |
| inlinestaticnoexcept

Definition at line 371 of file juce_avx_SIMDNativeOps.h.

## ◆ store() [3/3]

static forcedinline void juce::dsp::SIMDNativeOps< int16_t >::store | ( | vSIMDType | value,
|  | int16_t * | a
| ) |  |
| inlinestaticnoexcept

Definition at line 251 of file juce_neon_SIMDNativeOps.h.

## ◆ sub() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::sub | ( | __m128i | a,
|  | __m128i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 353 of file juce_sse_SIMDNativeOps.h.

## ◆ sub() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::sub | ( | __m256i | a,
|  | __m256i | b
| ) |  |
| inlinestaticnoexcept

Definition at line 373 of file juce_avx_SIMDNativeOps.h.

## ◆ sub() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::sub | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 255 of file juce_neon_SIMDNativeOps.h.

## ◆ sum() [1/3]

static forcedinline int16_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::sum | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 373 of file juce_sse_SIMDNativeOps.h.

## ◆ sum() [2/3]

static forcedinline int16_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::sum | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 393 of file juce_avx_SIMDNativeOps.h.

## ◆ sum() [3/3]

static forcedinline int16_t juce::dsp::SIMDNativeOps< int16_t >::sum | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 270 of file juce_neon_SIMDNativeOps.h.

## ◆ truncate() [1/3]

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::truncate | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 370 of file juce_sse_SIMDNativeOps.h.

## ◆ truncate() [2/3]

static forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::truncate | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 390 of file juce_avx_SIMDNativeOps.h.

## ◆ truncate() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< int16_t >::truncate | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 271 of file juce_neon_SIMDNativeOps.h.

## ◆ vconst()

static forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< int16_t >::vconst | ( | const int16_t * | a | ) |
| inlinestaticnoexcept

Definition at line 348 of file juce_sse_SIMDNativeOps.h.

The documentation for this struct was generated from the following files:

- juce_avx_SIMDNativeOps.h
- juce_neon_SIMDNativeOps.h
- juce_sse_SIMDNativeOps.h